# Introduction

- [Laravel Philosophy](#laravel-philosophy)
- [Learning Laravel](#learning-laravel)
- [Development Team](#development-team)

<a name="laravel-philosophy"></a>
## Laravel Philosophy

Laravel is a web application framework with expressive, elegant syntax. We believe development must be an enjoyable, creative experience to be truly fulfilling. Laravel attempts to take the pain out of development by easing common tasks used in the majority of web projects, such as authentication, routing, sessions, and caching.

Laravel aims to make the development process a pleasing one for the developer without sacrificing application functionality. Happy developers make the best code. To this end, we've attempted to combine the very best of what we have seen in other web frameworks, including frameworks implemented in other languages, such as Ruby on Rails, ASP.NET MVC, and Sinatra.

Laravel is accessible, yet powerful, providing powerful tools needed for large, robust applications. A superb inversion of control container, expressive migration system, and tightly integrated unit testing support give you the tools you need to build any application with which you are tasked.

<a name="learning-laravel"></a>
## Learning Laravel

One of the best ways to learn Laravel is to read through the entirety of its documentation. This guide details all aspects of the framework and how to apply them to your application.

In addition to this guide, you may wish to check out some [Laravel books](http://wiki.laravel.io/Books). These community written books serve as a good supplemental resource for learning about the framework:

- [Code Bright](https://leanpub.com/codebright) by Dayle Rees
- [Laravel Testing Decoded](https://leanpub.com/laravel-testing-decoded) by Jeffrey Way
- [Laravel: From Apprentice To Artisan](https://leanpub.com/laravel) by Taylor Otwell
- [Implementing Laravel](https://leanpub.com/implementinglaravel) by Chris Fidao
- [Getting Stuff Done With Laravel 4](https://leanpub.com/gettingstuffdonelaravel) by Chuck Heintzelman
- [Laravel 4 Cookbook](https://leanpub.com/laravel4cookbook) by Christopher Pitt
- [Laravel in Action](http://www.manning.com/surguy/) by Maks Surguy

<a name="development-team"></a>
## Development Team

Laravel was created by [Taylor Otwell](https://github.com/taylorotwell), who continues to lead development of the framework. Other prominent community members and contributors include [Dayle Rees](https://github.com/daylerees), [Shawn McCool](https://github.com/ShawnMcCool), [Jeffrey Way](https://github.com/JeffreyWay), [Jason Lewis](https://github.com/jasonlewis), [Ben Corlett](https://github.com/bencorlett), [Franz Liedke](https://github.com/franzliedke), [Dries Vints](https://github.com/driesvints), [Mior Muhammad Zaki](https://github.com/crynobone), and [Phil Sturgeon](https://github.com/philsturgeon).
